## libinput-gestures 2.28

=== Makefile ===
# Copyright (C) 2015 Mark Blakeney. This program is distributed under
# the terms of the GNU General Public License.
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or any
# later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
# General Public License at <http://www.gnu.org/licenses/> for more
# details.

DOC = README.md

DOCOUT = $(DOC:.md=.html)

all:
	@echo "Type sudo make install|uninstall"

install:
	@./libinput-gestures-setup -d "$(DESTDIR)" install

uninstall:
	@./libinput-gestures-setup -d "$(DESTDIR)" uninstall

check:
	flake8 libinput-gestures

doc:	$(DOCOUT)

$(DOCOUT): $(DOC)
	markdown $< >$@

clean:
	rm -rf $(DOCOUT)

=== debian/changelog ===
libinput-gestures (2.28-1mx17+1) mx; urgency=low

  * Initial packaging.

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 17 Sep 2017 13:10:22 -0700

=== debian/control ===
Source: libinput-gestures
Section: utils
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
Build-Depends: debhelper (>=9)
Standards-Version: 3.9.7
Homepage: https://github.com/bulletmark/libinput-gestures

Package: libinput-gestures
Section: utils
Architecture: all
Depends: libinput-tools, python3 (>= 3.4), xdotool, wmctrl
Description: extended touchpad gestures via libinput
 Libinput-gestures is a utility which reads libinput gestures from your
 touchpad and maps them to gestures you configure in a configuration file.
 Each gesture can be configured to activate a shell command which is
 typically an xdotool command to action desktop/window/application keyboard
 combinations and commands. See the examples in the provided
 libinput-gestures.conf file.  Many users will be happy with the default
 configuration in which case you can just type the following and you are ready
 to go:
 .
    libinput-gestures-setup start
    libinput-gestures-setup autostart

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@  

override_dh_auto_test:

## libinput-gestures 2.43.git0%2B57df3d2

=== Makefile ===
--- 
+++ 
@@ -13,6 +13,7 @@
 # details.
 
 DOC = README.md
+SHELLCHECK_OPTS = -eSC2053,SC2064,SC2086,SC1117,SC2162,SC2181,SC2034,SC1090,SC2115
 
 DOCOUT = $(DOC:.md=.html)
 
@@ -27,6 +28,7 @@
 
 check:
 	flake8 libinput-gestures
+	shellcheck $(SHELLCHECK_OPTS) libinput-gestures-setup list-version-hashes
 
 doc:	$(DOCOUT)
